<?php

include '../comunes_php/cors.php';

    $id = isset($_REQUEST['id']) ? intval($_REQUEST['id']) : -1;


    include '../rdb/conn.php';
    $adicionales=array();


    $sql= " select count(*) from contratos_Detalle where  1 ";
    if (isset($_GET['id'])) {
    $sql.=" and contrato_id=$id ";
    }

    $rs = mysqli_query( $conn,$sql);
    $row = mysqli_fetch_row($rs);
    $result["total"] = $row[0];

    $sql= " select tarjeta from contratos_cabecera where  1 ";
    if (isset($_GET['id'])) {
    $sql.=" and id=$id ";
    }

    $rs = mysqli_query( $conn,$sql);
    $row = mysqli_fetch_row($rs);
    $tarjeta = $row[0];

if ($tarjeta=='on') {
    /**
    $sql="select concat(cd.renglon_id,'.',p.id) id, p.nombre  , precio_producto_contado(cd.producto_id) precio ,  cd.precio tarjeta ,0 cantidad, 0 subtotal,renglon_id,contrato_id  from  ";
    $sql.="contratos_detalle cd, productos p  ";
    $sql.="where  ";
    $sql.="cd.producto_id=p.id  ";
   */

    $sql="select concat(cd.renglon_id,'.',p.id) id, p.nombre  , 0 precio ,  cd.precio tarjeta ,0 cantidad, 0 subtotal,renglon_id,contrato_id  from  ";
    $sql.="contratos_detalle cd, productos p  ";
    $sql.="where  ";
    $sql.="cd.producto_id=p.id  ";
    
    
    if (isset($_GET['id'])) {
    $sql.=" and cd.contrato_id=$id ";
    }

    $sql.=$where;
    $sql.=" order by cd.renglon_id ";
    $rs = mysqli_query( $conn,$sql);

}
else
{
  /**
    $sql="select concat(cd.renglon_id,'.',p.id) id, p.nombre  , cd.precio precio , 	precio_producto_financiado(cd.producto_id) tarjeta, 0 cantidad, 0 subtotal,renglon_id,contrato_id from  ";
    $sql.="contratos_detalle cd, productos p  ";
    $sql.="where  ";
    $sql.="cd.producto_id=p.id  ";
*/
    $sql="select concat(cd.renglon_id,'.',p.id) id, p.nombre  , cd.precio precio , 	0 tarjeta, 0 cantidad, 0 subtotal,renglon_id,contrato_id from  ";
    $sql.="contratos_detalle cd, productos p  ";
    $sql.="where  ";
    $sql.="cd.producto_id=p.id  ";
    
    if (isset($_GET['id'])) {
    $sql.=" and cd.contrato_id=$id ";
    }

    $sql.=" order by cd.renglon_id ";
$rs = mysqli_query( $conn,$sql);

}



    $adicionalesString="";
    $item = array();
    $items = array();
    while($row = mysqli_fetch_object($rs)){
        $adicionalesString="";
        $children=array();
        $item['id']=$row->id;
        $item['nombre']=$row->nombre;
        
        $item['preciounitario']=$row->precio;
        $item['precio_tarjeta']=$row->tarjeta;
        
        $item['cantidad']=0;
        $item['subtotal']=0;


        //array_push($items, $row);


        $sql2 = "select concat(cd.renglon_id,'.',cda.producto_id,'.',ap.id) id, ap.nombre  , cda.precio preciounitario , 0 cantidad, 0 subtotal from ";
        $sql2 .= "contratos_detalle cd,contrato_detalle_adicionales cda, adicionales ap ";
        $sql2 .= "where ";
        $sql2 .= "cd.contrato_id=cda.contrato_id AND ";
        $sql2 .= "cd.renglon_id=cda.renglon_id AND ";
        $sql2 .= "cd.producto_id=cda.producto_id AND ";
        $sql2 .= "cda.adicional_id=ap.id and  ";
        $sql2 .= "cd.contrato_id=$row->contrato_id and ";
        $sql2 .= "cd.renglon_id=$row->renglon_id ";
        $sql2 .= "order by id        ";
        //echo $sql2;
        $rs2 = mysqli_query( $conn,$sql2);

        while($row2 = mysqli_fetch_object($rs2)){
            array_push($children,$row2);
            $adicionalesString.=$row2->nombre;
        }    
        
        $item['adicionales']=$adicionalesString;

        $item['children']=$children;
        
        $items[]=$item;

    }


    echo json_encode($items);    
    
    
?>